aboutsummaryrefslogtreecommitdiffstats
path: root/community/connman/connman.initd
diff options
context:
space:
mode:
authorClayton Craft <clayton@craftyguy.net>2017-09-24 09:16:55 -0700
committerTimo Teräs <timo.teras@iki.fi>2017-09-25 06:03:07 +0000
commit4eaf6ddd7fccce14fac2cdae9011cbefb5681df5 (patch)
treecb14f7d93081f553a498ffe5cdbdb255805ea122 /community/connman/connman.initd
parentcd993ffdeb097c658c4a09da9bb06993cc2b8a5b (diff)
downloadaports-4eaf6ddd7fccce14fac2cdae9011cbefb5681df5.tar.bz2
aports-4eaf6ddd7fccce14fac2cdae9011cbefb5681df5.tar.xz
testing/connman: move connman to community
Per discussion with kaniini, move connman to community and assume maintainership
Diffstat (limited to 'community/connman/connman.initd')
-rw-r--r--community/connman/connman.initd20
1 files changed, 20 insertions, 0 deletions
diff --git a/community/connman/connman.initd b/community/connman/connman.initd
new file mode 100644
index 0000000000..1728694274
--- /dev/null
+++ b/community/connman/connman.initd
@@ -0,0 +1,20 @@
+#!/sbin/openrc-run
+
+description="Connection Manager"
+cfgfile=/etc/connman/main.conf
+pidfile=/run/connman/connman.pid
+command=/usr/sbin/connmand
+command_args="$command_args -n -c $cfgfile"
+command_background="yes"
+
+depend() {
+ need dbus
+ provide net
+}
+
+start_pre() {
+ ebegin
+ checkpath --directory ${pidfile%/*}
+ ln -sf ${pidfile%/*}/resolv.conf /etc/
+ eend $?
+}